import { z } from "zod";
import { idSchema } from "./base.js";
const edgeSchema = z.object({
    id: idSchema,
    sourceNodeId: idSchema,
    sourcePort: z.string().min(1),
    targetNodeId: idSchema,
    targetPort: z.string().min(1),
    data: z.object({
        label: z.string().optional()
    }).passthrough().optional()
});
export { edgeSchema };
